package com.jpattern.gwt.client;

import com.jpattern.gwt.client.cache.ACacheService;
import com.jpattern.gwt.client.history.AHistoryService;
import com.jpattern.gwt.client.logger.ALoggerService;
import com.jpattern.gwt.client.security.ASecurityContext;
import com.jpattern.gwt.client.serializer.ASerializerService;

/**
 * 
 * @author Francesco Cina'
 *
 * 12 Apr 2011
 */
public interface IApplicationProvider {
	
	AService getService(String serviceName);

	ALoggerService getLoggerService();
	
	AServerCallService getServerCallService();
	
	ASerializerService getSerializerService();
	
	ACacheService getCacheService();
	
	AHistoryService getHistoryService();

	AManagedErrorService getManagedErrorService();
	
	ASecurityContext getSecurityContext();

}
